package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.ArticuloPapeleria;
import com.cosmodas.EntCosmos.Productos;
import com.cosmodas.EntCosmos.VproductosRequisicion;

import javax.ejb.Local;
import java.util.Date;
import java.util.List;

@Local
public interface ArticuloPapeleriaFacadeLocal {

    void create(ArticuloPapeleria articuloPapeleria);

    void edit(ArticuloPapeleria articuloPapeleria);

    void remove(ArticuloPapeleria articuloPapeleria);

    ArticuloPapeleria find(Object id);

    List<ArticuloPapeleria> findAll();

    List<ArticuloPapeleria> findRange(int[] range);

    int count();

    List<ArticuloPapeleria> busquedaPorNombres(String productoNombre);
    ArticuloPapeleria busquedaPorCodigo(String productoCodigo);

    ArticuloPapeleria busquedaPorCodigo2(String productoCodigo);

    public void registrar(String codigo_papeleria, String descripcion_papeleria, String marca, String clasificacion) throws Exception;

    public void mostraIDarticulo(String codigop) throws Exception;

    public ArticuloPapeleria BusquedaIDarticulo(String codigoArticulo);
    public List<ArticuloPapeleria> nombreArticulo(String nombre);

    public List<ArticuloPapeleria> obtenerArticulopapele(String codigo);

    public ArticuloPapeleria busquedaPorCodigoArt(String productoCodigo);
}
